# Create Note

Creates a note on the ticket matching {ticketId} from the token-linked Integration.
**Operation ID:** `ticketing_create_note`

Endpoint: POST /v1/ticketing/tickets/{ticketId}/notes
Security: BearerAuth

## Security:

  - `BearerAuth` (unknown)
    http bearer

## Path parameters:

  - `ticketId` (any, required)

## Query parameters:

  - `meta` (array)
    Add metadata to the response by invoking meta functions. Documentation for [meta functions](https://docs.synqly.com/api-reference/meta-functions) is available. Not all meta functions are available at every endpoint.

## Request fields (application/json):

  - `content` (string, required)
    The content of the note formatted as markdown.

  - `title` (string, required)
    The title of the note.

## Response 200 fields (application/json):

  - `result` (object, required)
    Note on a ticket

  - `result.id` (string, required)
    Unique identifier for a note

  - `result.ticket_id` (string, required)
    Unique identifier for this ticket

  - `result.content` (string, required)
    The content of the note formatted as markdown.

  - `result.creator` (string, required)
    The user who created the note.

  - `result.title` (string, required)
    The title of the note.

  - `result.created_at` (string, required)
    The date the comment was created.

  - `result.updated_at` (string)
    The date the comment was last updated.

  - `result.custom_fields` (object)
    Custom mapped fields for this note.

  - `result.unmapped` (object)
    The Object type is used to represent an object with arbitrary fields. The keys are strings and the values are any type.

## Response 400 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 401 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 402 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 403 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 404 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 405 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 409 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 415 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 429 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 500 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 501 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 502 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 503 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 504 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

